Bug 929409 - SELinux is preventing /usr/bin/python2.7 from 'getattr' accesses on the file /proc/sys/net/ipv4/ip_forward.
Summary: SELinux is preventing /usr/bin/python2.7 from 'getattr' accesses on the file ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 19
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:317abed203e1c736b17d165b980...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-03-30 12:16 UTC by Alexei Panov
Modified: 2013-04-19 05:55 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-19 05:55:44 UTC
Type: ---


Attachments (Terms of Use)

Description Alexei Panov 2013-03-30 12:16:10 UTC
Description of problem:
SELinux is preventing /usr/bin/python2.7 from 'getattr' accesses on the file /proc/sys/net/ipv4/ip_forward.

*****  Plugin catchall (100. confidence) suggests  ***************************

If вы считаете, что python2.7 следует разрешить доступ getattr к ip_forward file по умолчанию.
Then рекомендуется создать отчет об ошибке.
Чтобы разрешить доступ, можно создать локальный модуль политики.
Do
чтобы разрешить доступ, выполните:
# grep firewalld /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:firewalld_t:s0
Target Context                system_u:object_r:sysctl_net_t:s0
Target Objects                /proc/sys/net/ipv4/ip_forward [ file ]
Source                        firewalld
Source Path                   /usr/bin/python2.7
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           python-2.7.3-35.fc19.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-24.fc19.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     (removed)
Platform                      Linux (removed) 3.9.0-0.rc3.git1.5.fc19.x86_64 #1
                              SMP Sun Mar 24 12:32:21 MSK 2013 x86_64 x86_64
Alert Count                   1
First Seen                    2013-03-30 16:14:48 MSK
Last Seen                     2013-03-30 16:14:48 MSK
Local ID                      1b5c511c-96f2-4b08-ae49-8dbc1b3c1448

Raw Audit Messages
type=AVC msg=audit(1364645688.320:626): avc:  denied  { getattr } for  pid=3029 comm="firewalld" path="/proc/sys/net/ipv4/ip_forward" dev="proc" ino=12931 scontext=system_u:system_r:firewalld_t:s0 tcontext=system_u:object_r:sysctl_net_t:s0 tclass=file


type=SYSCALL msg=audit(1364645688.320:626): arch=x86_64 syscall=fstat success=yes exit=0 a0=5 a1=7fff8ed4a430 a2=7fff8ed4a430 a3=1 items=0 ppid=1 pid=3029 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 ses=4294967295 tty=(none) comm=firewalld exe=/usr/bin/python2.7 subj=system_u:system_r:firewalld_t:s0 key=(null)

Hash: firewalld,firewalld_t,sysctl_net_t,file,getattr

audit2allow

#============= firewalld_t ==============
allow firewalld_t sysctl_net_t:file getattr;

audit2allow -R
require {
	type sysctl_net_t;
	type firewalld_t;
	class file getattr;
}

#============= firewalld_t ==============
allow firewalld_t sysctl_net_t:file getattr;


Additional info:
hashmarkername: setroubleshoot
kernel:         3.9.0-0.rc3.git1.5.fc19.x86_64
type:           libreport

Comment 1 Daniel Walsh 2013-04-01 14:13:57 UTC
Fixed in selinux-policy-3.12.1-25.fc19.noarch

Comment 2 Fedora Update System 2013-04-08 11:43:32 UTC
selinux-policy-3.12.1-28.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/FEDORA-2013-5045/selinux-policy-3.12.1-28.fc19

Comment 3 Fedora Update System 2013-04-08 15:55:32 UTC
Package selinux-policy-3.12.1-28.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.12.1-28.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-5045/selinux-policy-3.12.1-28.fc19
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2013-04-19 05:55:46 UTC
selinux-policy-3.12.1-28.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.